{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Liste des offres
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}



{% block main %}
<h1 class="text-2xl font-semibold mb-4 text-center w-fit mx-auto flex">Liste des offres</h1>


<div class="flex gap-5 w-full h-12 mb-10">
    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Recherche</label>
        <input id="search" oninput="refresh()" type="text" required placeholder="Effectuez votre recherche ici..."
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64">
    </div>


    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Filtrer par promotion</label>
        <select placeholder="Effectuez votre recherche ici..."
            onchange="document.location.href = `/student/search_by_promo/${this.value}`"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64">

            <option>Toutes</option>
            {% for promo in get_all_promo() %}
            <option value="{{ promo.id }}">{{ promo.name }} Géré par {{ get_promo_manager_by_id(promo.id) }}
            </option>
            {% endfor %}

        </select>
    </div>


    <div class="flex flex-col ml-auto">
        <label class="font-medium mb-2 text-gray-900 text-sm">Trier par</label>
        <div id="orders" class="flex whitespace-nowrap gap-2">
            <button onclick="order(this)" value="1"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Titre</button>
            <button onclick="order(this)" value="2"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Type
                de contrat</button>
            <button onclick="order(this)" value="3"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Nombre
                de candidats</button>

            <button onclick="order(this)" value="4"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Date
                de publication</button>
        </div>
    </div>
</div>




<table class="w-full rounded-lg overflow-hidden border border-collapse">
    <tbody>
        <tr class="bg-gray-50 text-gray-900 text-sm">
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Titre</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Entreprise</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre de semaines</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Type de contrat</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre de candidats</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Publié le</th>

        </tr>


        {% for offre in data %}
        <tr class="bg-gray-50 text-gray-900 text-sm">
            <td name="1" class="px-2.5 py-2 overflow-hidden">
                <a href="{{ url_for('offre', id=offre.id) }}" class="text-[var(--blue)] underline">{{ offre.titre }}</a>
            </td>
            <td class="px-2.5 py-2 overflow-hidden">
                <a href="{{ url_for('company', id=offre.company.id) }}"
                    class="text-[var(--blue)] underline">{{ offre.company.name }}</a>
            </td>
            <td class="px-2.5 py-2 overflow-hidden">{{ offre.weeks_number }}</td>
            <td name="2" class="px-2.5 py-2 overflow-hidden">{{ offre.offre_type.name }}
            </td>
            <td name="3" class="px-2.5 py-2 overflow-hidden">
                <a href="{{ url_for('student_apply_to_offre', id = offre.id) }}"
                    class="text-[var(--blue)] underline">{{ offre.nb_historics }}</a></td>
            <td name="4" class="px-2.5 py-2 overflow-hidden">
                {{ offre.publication_date }}
            </td>
        </tr>
        {% endfor %}




    </tbody>
</table>



{% if data | length == 0 %}
<em class="text-sm flex justify-center">Aucune offre trouvée.</em>
{% endif %}


<a href="{{ url_for('new_offer') }}"
    class="shadow p-0 w-12 h-12 bg-[var(--blue)] hover:text-[var(--blue)] border border-[var(--blue)] duration-300 rounded-full hover:bg-white mouse focus:outline-none fixed bottom-10 right-10 text-white text-3xl align-center flex justify-center pt-1">
    +
</a>
{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}